/*-----------------------------------------------------------------------*/
/*                                   TIGA                                */
/*         Copyright (C) 1988-1991  Texas Instruments Incorporated.      */
/*                           All Rights Reserved                         */
/*-----------------------------------------------------------------------*/
/*  TIGA - Header file                                                   */
/*-----------------------------------------------------------------------*/
/*                                                                       */
/*  file            gspglobs.h                                           */
/*                                                                       */
/*  description     This file contains references to global variables    */
/*                  used in the Graphics Manager portion of TIGA.        */
/*                  It is needed for the gsp side of an application,     */
/*                  written in GSP-C, which accesses TIGA global         */
/*                  variables.                                           */
/*                  typedefs.h header file MUST be included before this  */
/*                  header file.                                         */
/*                                                                       */
/*-----------------------------------------------------------------------*/
extern long             bottom_of_stack;    /* Declared in link file     */   
extern CONFIG           config;             /* Current configuration     */
extern PALET            DEFAULT_PALET[16];  /* Default palette           */
extern CURSOR           DefaultCursor;      /* Default cursor struct     */
extern long             end_of_dram;        /* Declared in link file     */
extern ENVIRONMENT      env;                /* Environment variables     */
extern ENVTEXT          envtext;            /* Text environment          */
extern ENVCURS          envcurs;            /* Cursor environment        */
extern MODEINFO         *modeinfo;          /* Operating mode info       */
extern MODULE           Module[32];         /* Function module descr.    */
extern uchar            *monitorinfo;       /* Monitor timing info       */
extern OFFSCREEN_AREA   *offscreen;         /* Pointer to current data   */
extern uchar            *page;              /* Pointer to current data   */
extern PALET            palet[];            /* Current palette in use    */
extern PATTERN          pattern;            /* Current pattern information */
extern uchar            *setup;             /* Current setup pointer     */
extern ushort           sin_tbl[];          /* Sine lookup table         */
extern long             stack_size;         /* Declared in link file     */
extern long             start_of_dram;      /* Declared in link file     */
extern FONT             *sysfont;           /* Pointer to system font    */
extern FONT             sys16, sys24;       /* System font choices       */
extern MINIT_MAP        *sys_memory;        /* Pointer to heap packets   */
extern unsigned short   *pHCOUNT, *pHEBLNK, *pHESYNC, *pHSBLNK, *pHTOTAL;
extern unsigned short   *pVCOUNT, *pVEBLNK, *pVESYNC, *pVSBLNK, *pVTOTAL;
